> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List available edge stores

> Retrieve key-value storage stores available to the authenticated client.
Stores can contain KV pairs, sorted sets, or bloom filters for edge application data.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml get /fastedge/v1/kv
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/kv:
    get:
      tags:
        - Edge Storage
      summary: List available edge stores
      description: >-
        Retrieve key-value storage stores available to the authenticated client.

        Stores can contain KV pairs, sorted sets, or bloom filters for edge
        application data.
      operationId: listStores
      parameters:
        - description: >-
            Filter stores by application ID. Returns only stores associated with
            this app.
          in: query
          name: app_id
          required: false
          schema:
            format: int64
            minimum: 1
            type: integer
        - description: Maximum number of stores to return per page
          example: 50
          in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 1000
            minimum: 1
            type: integer
        - description: Number of stores to skip for pagination
          example: 0
          in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  count:
                    description: Total number of stores
                    type: integer
                  stores:
                    items:
                      $ref: '#/components/schemas/kv_store_short'
                    type: array
                required:
                  - count
                  - stores
                type: object
          description: Returns paginated list of edge storage stores
        '404':
          description: Requested resource not found
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            kv_stores = client.fastedge.kv_stores.list()
            print(kv_stores.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/fastedge\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tkvStores, err := client.Fastedge.KvStores.List(context.TODO(), fastedge.KvStoreListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", kvStores.Count)\n}\n"
components:
  schemas:
    kv_store_short:
      type: object
      required:
        - id
        - name
        - app_count
      properties:
        id:
          type: integer
          format: int64
          description: The unique identifier of the store
          readOnly: true
          x-go-type-skip-optional-pointer: true
        name:
          type: string
          description: A name of the store
        comment:
          type: string
          description: A description of the store
        app_count:
          type: integer
          description: The number of applications that use this store
          x-omitempty: false
        size:
          type: integer
          format: int64
          description: Total store size in bytes
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````